Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcLite14HttpTransportFactory

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
          org.apache.xmlrpc.client.XmlRpcLiteHttpTransportFactory
              org.apache.xmlrpc.client.XmlRpcLite14HttpTransportFactory

All Implemented Interfaces:
  XmlRpcTransportFactory

    public class XmlRpcLite14HttpTransportFactory

extends XmlRpcLiteHttpTransportFactory

Java 1.4 specific factory for the lite HTTP transport, `XmlRpcLiteHttpTransport`.

Constructor Summary
`XmlRpcLite14HttpTransportFactory(XmlRpcClient pClient)` Creates a new instance.

Method Summary
`javax.net.ssl.SSLSocketFactory` | `getSSLSocketFactory()` Sets the SSL Socket Factory to use for https connections.
`XmlRpcTransport` | `getTransport()` Returns an instance of `XmlRpcTransport`.
`void` | `setSSLSocketFactory(javax.net.ssl.SSLSocketFactory pSSLSocketFactory)` Returns the SSL Socket Factory to use for https connections.

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcLite14HttpTransportFactory

    public XmlRpcLite14HttpTransportFactory(XmlRpcClient pClient)

  Creates a new instance.

  Parameters:
    `pClient` - The client, which will invoke the factory.

Method Detail

### getSSLSocketFactory

    public javax.net.ssl.SSLSocketFactory getSSLSocketFactory()

  Sets the SSL Socket Factory to use for https connections.

### setSSLSocketFactory

    public void setSSLSocketFactory(javax.net.ssl.SSLSocketFactory pSSLSocketFactory)

  Returns the SSL Socket Factory to use for https connections.

### getTransport

    public XmlRpcTransport getTransport()

  Description copied from interface: `XmlRpcTransportFactory`
  Returns an instance of `XmlRpcTransport`. This may be a singleton, but the caller should not depend on that: A new instance may as well be created for any request.

  Specified by:
    `getTransport` in interface `XmlRpcTransportFactory`
  Overrides:
    `getTransport` in class `XmlRpcLiteHttpTransportFactory`
  Returns:
    The configured transport.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.